﻿namespace Correo.MailKit.Models
{
    public record SmtpClientOptions
    {
        public string Server { get; init; }
        public int Port { get; init; }
        public bool EnableSsl { get; init; }
        public bool UseAuthentication { get; init; }
        public bool TrustServer { get; init; }
        public AuthenticationOptions Authentication { get; init; }

        public record AuthenticationOptions
        {
            public string UserName { get; init; }
            public string Password { get; init; }
        }
    }
}
